#ifndef _CHARTFERMENTER_H
#define _CHARTFERMENTER_H

#include "MainWindow.h"

#include <QDialog>
#include <QDialogButtonBox>

class Callout;

namespace Ui {
class ChartFermenter;
}

class ChartFermenter : public QDialog
{
    Q_OBJECT

private slots:
    void savePNG();

public slots:
    void tooltip(QPointF point, bool state);

public:
    explicit ChartFermenter(QString code, QString name, QWidget *parent = 0);
    ~ChartFermenter();

private:
    QChartView *chartView;
    QChart *chart;
    Callout *t_tooltip = 0;
};

#endif
