#ifndef _DETAILNODE_H
#define _DETAILNODE_H

#include <QDialog>
#include <QDoubleSpinBox>
#include <QCheckBox>
#include <QComboBox>
#include <QRadioButton>
#include <QLineEdit>
#include <QDialogButtonBox>


namespace Ui {
class DetailNode;
}

class DetailNode : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit DetailNode(int id, QWidget *parent = 0);
    ~DetailNode();

private slots:
    void on_quitButton_clicked();
    void refreshTable(void);
    void control_reboot();
    void control_rebirth();

public slots:
    void refreshNode(QString);

private:
    Ui::DetailNode *ui;
    QString _node, _group_id, _uuid;
    int recno;
};

#endif
